Debian Bug report logs - #694590
Image created with live-build fails to perform integrity-check

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>

Date: Wed, 28 Nov 2012 05:00:02 UTC

Severity: normal

Found in version live-build/3.0~a51-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694590; Package live-build. (Wed, 28 Nov 2012 05:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Ryzhenkov <peter.ryzhenkov@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 28 Nov 2012 05:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
To: submit@bugs.debian.org
Subject: Image created with live-build fails to perform integrity-check
Date: Wed, 28 Nov 2012 08:57:39 +0400
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a51-1

Steps to reproduce:
1. Create image with live-build
2. Add integrity-check to boot params
3. Boot it

Integrity check should be performed, but this step is skipped.
This probably happens because of addition of the first 6 lines of description
to the SHA256SUMS file.

The problem affects the official live builds also,
tested it on debian-wheezy-live-a2-i386-kde-desktop.iso

Integrity check is very important for us all, I think it should be corrected.

Thanks in advance,
Peter Ryzhenkov.
[Message part 2 (text/html, inline)]

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Wed, 28 Nov 2012 05:54:04 GMT) Full text and rfc822 format available.

Notification sent to Peter Ryzhenkov <peter.ryzhenkov@gmail.com>:
Bug acknowledged by developer. (Wed, 28 Nov 2012 05:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 694590-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
Cc: 694590-done@bugs.debian.org
Subject: Re: Bug#694590: Image created with live-build fails to perform integrity-check
Date: Wed, 28 Nov 2012 06:52:02 +0100
On 11/28/2012 05:57 AM, Peter Ryzhenkov wrote:
> Integrity check should be performed, but this step is skipped.

the correct boot parameter is 'verify-checksums', not 'integrity-check'.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694590; Package live-build. (Wed, 28 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Ryzhenkov <peter.ryzhenkov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 28 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 694590@bugs.debian.org (full text, mbox):

From: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
To: 694590@bugs.debian.org
Subject: Re: Bug#694590 closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#694590: Image created with live-build fails to perform integrity-check)
Date: Wed, 28 Nov 2012 10:15:18 +0400
[Message part 1 (text/plain, inline)]
Thank you, works like charm. But there's another small problem,
during verification I get the message:

WARNING! 6 lines are improperly formatted!

These are the first six lines that contain the explainatory text. They
probably should be commented out to avoid this.

2012/11/28 Debian Bug Tracking System <owner@bugs.debian.org>

> This is an automatic notification regarding your Bug report
> which was filed against the live-build package:
>
> #694590: Image created with live-build fails to perform integrity-check
>
> It has been closed by Daniel Baumann <
> daniel.baumann@progress-technologies.net> (reply to
> daniel.baumann@progress-technologies.net).
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Daniel Baumann <
> daniel.baumann@progress-technologies.net> (reply to
> daniel.baumann@progress-technologies.net) by
> replying to this email.
>
>
> --
> 694590: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=694590
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Пересылаемое сообщение ----------
> From: Daniel Baumann <daniel.baumann@progress-technologies.net>
> To: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
> Cc: 694590-done@bugs.debian.org
> Date: Wed, 28 Nov 2012 06:52:02 +0100
> Subject: Re: Bug#694590: Image created with live-build fails to perform
> integrity-check
> On 11/28/2012 05:57 AM, Peter Ryzhenkov wrote:
>
>> Integrity check should be performed, but this step is skipped.
>>
>
> the correct boot parameter is 'verify-checksums', not 'integrity-check'.
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-**technologies.net<daniel.baumann@progress-technologies.net>
> Internet:       http://people.progress-**technologies.net/~daniel.**
> baumann/ <http://people.progress-technologies.net/~daniel.baumann/>
>
> ---------- Пересылаемое сообщение ----------
> From: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
> To: submit@bugs.debian.org
> Cc:
> Date: Wed, 28 Nov 2012 08:57:39 +0400
> Subject: Image created with live-build fails to perform integrity-check
>
> Package: live-build
> Version: 3.0~a51-1
>
> Steps to reproduce:
> 1. Create image with live-build
> 2. Add integrity-check to boot params
> 3. Boot it
>
> Integrity check should be performed, but this step is skipped.
> This probably happens because of addition of the first 6 lines of description
> to the SHA256SUMS file.
>
> The problem affects the official live builds also,
> tested it on debian-wheezy-live-a2-i386-kde-desktop.iso
>
> Integrity check is very important for us all, I think it should be corrected.
>
> Thanks in advance,
> Peter Ryzhenkov.
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694590; Package live-build. (Wed, 28 Nov 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 28 Nov 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 694590@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Peter Ryzhenkov <peter.ryzhenkov@gmail.com>
Cc: 694590@bugs.debian.org
Subject: Re: Bug#694590: closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#694590: Image created with live-build fails to perform integrity-check)
Date: Wed, 28 Nov 2012 09:32:34 +0100
On 11/28/2012 07:15 AM, Peter Ryzhenkov wrote:
> These are the first six lines that contain the explainatory text. They
> probably should be commented out to avoid this.

right, i just done that now in git, thank you.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2012 07:29:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:31:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.